# $Revision: 1.100 $, $Date: 2012/05/24 11:40:06 $
# TODO:
# - prepare package with web-files and java from contrib
#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with	dotnet	# don't build C# binding
%bcond_with	java	# don't build Java implementation
%else
%bcond_without	dotnet	# don't build C# binding
%bcond_without	java	# don't build Java implementation
%endif
%bcond_without	python	# don't build python interface
#
%ifnarch %{ix86} %{x8664} alpha arm hppa ppc s390 s390x sparc sparcv9 sparc64
%undefine	with_dotnet
%endif
%ifarch i386
%undefine	with_dotnet
%endif
Summary:	Internationalized string processing library
Summary(pl.UTF-8):	Biblioteka do przetwarzania umiędzynarodowionych łańcuchów
Name:		libidn
Version:	1.25
Release:	1
License:	GPL v2+ or LGPL v3+ (library), GPL v3+ (utilities)
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz
# Source0-md5:	45ffabce4b8ca87fe98fe4542668d33d
Patch0:		%{name}-info.patch
Patch1:		%{name}-python.patch
URL:		http://www.gnu.org/software/libidn/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
%{?with_java:BuildRequires:	gcc-java}
BuildRequires:	gettext-devel >= 0.18.1
%{?with_java:BuildRequires:	gjdoc}
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	help2man
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libtool >= 2:1.5
%{?with_dotnet:BuildRequires:	mono}
%{?with_dotnet:BuildRequires:	mono-csharp}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python-devel >= 1:2.3}
BuildRequires:	rpm >= 4.4.9-56
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.384
BuildRequires:	texinfo >= 4.7
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# is it correct?
%define		_emacs_lispdir	%{_datadir}/emacs/site-lisp

%description
GNU Libidn is an implementation of the Stringprep, Punycode and IDNA
specifications defined by the IETF Internationalized Domain Names
(IDN) working group, used for internationalized domain names.

%description -l pl.UTF-8
GNU Libidn to implementacja specyfikacji Stringprep, Punycode i IDNA
zdefiniowanych przez grupę roboczą IETF Internationalized Domain Names
(IDN), zajmującą się umiędzynarodowionymi nazwami domen.

%package devel
Summary:	Header files for libidn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libidn
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libidn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libidn.

%package static
Summary:	Static libidn library
Summary(pl.UTF-8):	Statyczna biblioteka libidn
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libidn library.

%description static -l pl.UTF-8
Statyczna biblioteka libidn.

%package -n dotnet-libidn
Summary:	C# binding for libidn
Summary(pl.UTF-8):	Wiązanie C# dla libidn
License:	LGPL v2.1+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n dotnet-libidn
C# binding for libidn.

%description -n dotnet-libidn -l pl.UTF-8
Wiązanie C# dla libidn.

%package -n emacs-libidn-pkg
Summary:	IDN support files for emacs
Summary(pl.UTF-8):	Obsługa IDN dla emacsa
License:	GPL v3+
Group:		Applications/Editors/Emacs
Requires:	%{name} = %{version}-%{release}

%description -n emacs-libidn-pkg
IDN support files for emacs.

%description -n emacs-libidn-pkg -l pl.UTF-8
Obsługa IDN dla emacsa.

%package -n java-libidn
Summary:	Java implementation of libidn
Summary(pl.UTF-8):	Implementacja libidn w Javie
License:	LGPL v2.1+
Group:		Libraries
Requires:	jre

%description -n java-libidn
Java implementation of libidn (internationalized domain names
library).

%description -n java-libidn -l pl.UTF-8
Implementacja libidn (biblioteki umiędzynarodowionych nazw domen) w
Javie.

%package -n python-idn
Summary:	Python interface to libidn
Summary(pl.UTF-8):	Pythonowy interfejs do libidn
License:	LGPL v2.1+
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-idn
Python interface to libidn (internationalized domain names library).

%description -n python-idn -l pl.UTF-8
Pythonowy interfejs do libidn (biblioteki umiędzynarodowionych nazw
domen).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

# avoid different builds having different timestamps
# see http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2008-August/020363.html
d='$Date: 2012/05/24 11:40:06 $'
d=${d#?Date: }; d=${d%%%% *}; d=$(date -d "$d" '+%d %B %Y')
%{__sed} -i -e "s,@value{UPDATED},$d,g" doc/libidn.texi

# remove it when "linking libtool libraries using a non-POSIX archiver ..." warning is gone
# (after libidn or libtool change)
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s/-Werror//' configure.ac

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lib/gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
JAR=%{_bindir}/fastjar \
%configure \
	--disable-silent-rules \
	%{?with_dotnet:--enable-csharp=mono}%{!?with_dotnet:--disable-csharp} \
	%{?with_java:--enable-java} \
	--with-lispdir=%{_emacs_lispdir}

%{__make}

%if %{with python}
%{__make} -C contrib/idn-python \
	INCLUDE="%{py_incdir} %{rpmcflags} -I../../lib -L../../lib/.libs"
mv contrib/idn-python/idn.so python-idn.so
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
install -D python-idn.so $RPM_BUILD_ROOT%{py_sitedir}/idn.so
%endif

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README* THANKS TODO doc/libidn.html contrib
%attr(755,root,root) %{_bindir}/idn
%attr(755,root,root) %{_libdir}/libidn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libidn.so.11
%{_mandir}/man1/idn.1*
%{_infodir}/libidn.info*
%{_infodir}/libidn-*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libidn.so
%{_libdir}/libidn.la
%{_includedir}/idn-*.h
%{_includedir}/idna.h
%{_includedir}/pr29.h
%{_includedir}/punycode.h
%{_includedir}/stringprep.h
%{_includedir}/tld.h
%{_pkgconfigdir}/libidn.pc
%{_mandir}/man3/idn_*.3*
%{_mandir}/man3/idna_*.3*
%{_mandir}/man3/pr29_*.3*
%{_mandir}/man3/punycode_*.3*
%{_mandir}/man3/stringprep*.3*
%{_mandir}/man3/tld_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libidn.a

%if %{with dotnet}
%files -n dotnet-libidn
%defattr(644,root,root,755)
# why not in gac? does it work here?
%{_libdir}/Libidn.dll
%endif

%files -n emacs-libidn-pkg
%defattr(644,root,root,755)
%{_emacs_lispdir}/*.el

%if %{with java}
%files -n java-libidn
%defattr(644,root,root,755)
%{_javadir}/libidn*.jar
%endif

%if %{with python}
%files -n python-idn
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/idn.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libidn.spec,v $
Revision 1.100  2012/05/24 11:40:06  qboosh
- updated to 1.25
- hack to allow build with automake 1.12

Revision 1.99  2012/01/11 20:19:08  qboosh
- updated to 1.24

Revision 1.98  2011/11/28 18:04:48  qboosh
- updated to 1.23
- removed obsolete pl.po-update patch

Revision 1.97  2011/09/21 08:16:34  sls
- added BR: mono-csharp (--with dotnet)

Revision 1.96  2011/05/06 15:16:25  qboosh
- updated to 1.22
- updated pl.po-update patch

Revision 1.95  2011/04/26 16:05:03  qboosh
- updated to 1.21
- updated pl.po-update patch

Revision 1.94  2011/03/04 16:57:06  qboosh
- updated to 1.20
- updated pl.po-update patch

Revision 1.93  2010/08/29 18:58:53  areq
- BR: jdk only with java

Revision 1.92  2010/07/09 11:18:18  arekm
- release 2

Revision 1.91  2010/06/03 01:10:37  sparky
- BR: jdk

Revision 1.90  2010/05/24 18:43:26  qboosh
- updated to 1.19

Revision 1.89  2010/05/13 17:16:27  sparky
- BR: help2man, pkgconfig
- java BR check request: /bin/sh: javac: not found

Revision 1.88  2010/03/25 07:41:18  qboosh
- updated to 1.18
- updated info,pl.po-update patches

Revision 1.87  2009/04/11 08:20:46  qboosh
- updated to 1.14
- updated pl.po-update patch

Revision 1.86  2009/03/31 06:14:35  qboosh
- updated to 1.13
- added pl.po-update patch

Revision 1.85  2009/03/14 12:17:29  hawk
- release 2

Revision 1.84  2009/01/23 15:10:29  adamg
- updated to 1.12

Revision 1.83  2008/10/30 22:57:53  qboosh
- updated to 1.11

Revision 1.82  2008/10/14 20:33:59  megabajt
- release 4

Revision 1.81  2008/08/29 08:17:52  glen
- release 3

Revision 1.80  2008/08/27 23:06:00  glen
- avoid expanding too much

Revision 1.79  2008/08/27 23:03:46  glen
- use spec update date for info last updated date; rel 2

Revision 1.78  2008/08/27 19:40:06  glen
- AC compatible
- remove ELF executable from %doc

Revision 1.77  2008/08/27 19:26:53  qboosh
- updated to 1.10
- removed obsolete pl.po-update patch

Revision 1.76  2008/07/10 19:06:44  qboosh
- updated to 1.9
- updated pl.po-update patch

Revision 1.75  2008/05/12 18:12:51  qboosh
- updated to 1.8
- added pl.po-update patch

Revision 1.74  2008-03-20 11:52:36  paszczus
- updated to 1.6

Revision 1.73  2008-02-20 17:53:29  qboosh
- updated to 1.5
- removed obsolete pl.po-update patch

Revision 1.72  2008-01-09 21:43:49  qboosh
- updated to 1.4
- added pl.po-update patch

Revision 1.71  2007-12-15 00:31:07  qboosh
- updated to 1.3

Revision 1.70  2007-10-31 23:04:24  qboosh
- updated to 1.2

Revision 1.69  2007/08/05 10:29:59  qboosh
- updated to 1.0 (utils are GPL v3 now)

Revision 1.68  2007/06/03 17:50:23  qboosh
- use rpm macros 1.384, reverted info hack

Revision 1.67  2007/06/03 16:32:29  qboosh
- updated to 0.6.14
- removed obsolete pl.po-update patch
- nasty hack to include uncompressed image for info

Revision 1.66  2007/05/01 09:05:21  qboosh
- updated to 0.6.12
- updated pl.po-update patch

Revision 1.65  2007/03/17 23:25:22  qboosh
- updated to 0.6.11, updated pl.po-update patch

Revision 1.64  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.62  2007/01/09 19:27:26  qboosh
- updated to 0.6.10, updated pl.po-update patch

Revision 1.61  2006/12/06 19:54:41  qboosh
- updated to 0.6.9, updated pl.po-update patch

Revision 1.60  2006/11/25 13:25:33  arekm
- rel 2

Revision 1.59  2006/10/28 11:01:02  qboosh
- updated to 0.6.8, updated pl.po-update patch

Revision 1.58  2006/09/17 22:13:32  glen
- BR autoconf >= 2.60

Revision 1.57  2006/09/17 22:11:05  glen
- BR: rpm-pythonprov for python

Revision 1.56  2006/09/17 21:55:17  qboosh
- updated to 0.6.7, updated pl.po-update patch

Revision 1.55  2006/08/27 10:21:53  glen
- revert wrong branch commit

Revision 1.53  2006/08/27 09:55:34  glen
- check-files cleanup

Revision 1.52  2006/08/26 21:13:20  arekm
- rel 2; fix python includes

Revision 1.51  2006/08/25 22:34:19  qboosh
- updated to 0.6.6, updated pl.po-update patch

Revision 1.50  2006/07/17 21:01:30  qboosh
- updated to 0.6.5

Revision 1.49  2006/03/10 19:33:56  qboosh
- updated to 0.6.3

Revision 1.48  2006/02/08 20:30:37  qboosh
- updated to 0.6.2

Revision 1.47  2006/01/23 21:13:06  pluto
- fix build: JAR=/usr/bin/fastjar, rel. 2.

Revision 1.46  2006/01/23 19:34:34  qboosh
- updated to 0.6.1; java uses gcj+gjdoc now

Revision 1.45  2005/12/10 16:17:41  qboosh
- updated to 0.6.0 (with C# binding, where mono available - maybe use pnet elsewhere?)

Revision 1.44  2005/12/10 13:56:06  sparky
- added without python bcond

Revision 1.43  2005/10/27 22:14:46  qboosh
- updated to 0.5.20

Revision 1.42  2005/09/19 21:16:23  paszczus
- updated to 0.5.19

Revision 1.41  2005/07/17 21:13:10  qboosh
- updated to 0.5.18

Revision 1.40  2005/06/02 20:46:41  qboosh
- updated to 0.5.17

Revision 1.39  2005/05/11 22:55:24  qboosh
- updated to 0.5.16

Revision 1.38  2005/03/20 08:13:54  paszczus
- updated to 0.5.15

Revision 1.37  2005/01/29 12:22:30  paszczus
- updated to 0.5.13 ; STBR

Revision 1.36  2004/12/27 18:12:08  qboosh
- spec expects python >= 2.3

Revision 1.35  2004/12/25 17:40:50  qboosh
- unified

Revision 1.34  2004/12/25 13:53:50  qboosh
- automake epoch (uh...)

Revision 1.33  2004/12/25 13:45:36  saq
- release 2 for python 2.4

Revision 1.32  2004/12/04 23:18:19  paszczus
- updated to 0.5.12

Revision 1.31  2004/11/21 22:10:04  paszczus
- updated to 0.5.11
- updated BR: autoamke >= 1.9

Revision 1.30  2004/11/08 20:56:11  paszczus
- updated to 0.5.10

Revision 1.29  2004/11/08 07:48:59  paszczus
- updated to 0.5.9
- removed Patch2 ; included in sources

Revision 1.28  2004/10/15 21:04:42  qboosh
- updated to 0.5.8, added pl.po-update patch

Revision 1.27  2004/09/15 20:41:35  qboosh
- updated to 0.5.5

Revision 1.26  2004/08/25 20:39:57  qboosh
- updated to 0.5.4

Revision 1.25  2004/08/06 18:46:39  qboosh
- updated to 0.5.3

Revision 1.24  2004/07/28 07:34:00  qboosh
- R s/python-lib/python-libs/; release 2

Revision 1.23  2004/07/18 23:16:11  grzegol
- updated to 0.5.2
- removed outdated DESTDIR patch
- added BR: perl-base

Revision 1.22  2004/06/27 12:54:21  grzegol
- updated to 0.5.0

Revision 1.21  2004/06/20 17:10:03  qboosh
- added DESTDIR patch, fixed build with java

Revision 1.20  2004/06/20 13:51:53  grzegol
- updated to 0.4.9

Revision 1.19  2004/06/05 15:26:17  qboosh
- updated to 0.4.8

Revision 1.18  2004/05/21 22:28:34  qboosh
- updated to 0.4.5 (several memory leaks fixed)

Revision 1.17  2004/05/05 20:01:03  qboosh
- updated to 0.4.4

Revision 1.16  2004/04/24 18:51:11  qboosh
- updated to 0.4.3, added python patch

Revision 1.15  2004/04/14 23:08:44  qboosh
- started adding python and java stuff... but java sources are missing

Revision 1.14  2004/04/14 22:37:50  qboosh
- updated to 0.4.2, removed external pl.po (merged)
- removed libidn.texi hack, BR: texinfo >= 4.7 instead

Revision 1.13  2004/03/10 21:26:36  qboosh
- updated to 0.4.1, added pl.po

Revision 1.12  2004/02/29 20:39:39  qboosh
- updated to 0.4.0, strict internal deps

Revision 1.11  2004/01/25 20:18:23  qboosh
- more docs

Revision 1.10  2004/01/25 16:22:34  djurban
- updated to 0.3.7

Revision 1.9  2004/01/19 22:02:30  qboosh
- package emacs files (is path correct?); release 2

Revision 1.8  2004/01/07 19:15:05  qboosh
- updated to 0.3.6

Revision 1.7  2003/12/17 21:12:29  qboosh
- updated to 0.3.5 (new auto* used)

Revision 1.6  2003/11/11 02:53:55  qboosh
- updated to 0.3.4

Revision 1.5  2003/10/18 10:13:17  arekm
- updated to 0.3.3

Revision 1.4  2003/10/14 20:37:52  qboosh
- updated to 0.3.2

Revision 1.3  2003/09/24 11:44:15  arekm
- updated to 0.3.0

Revision 1.2  2003/09/10 13:11:50  blues
- release 2 - more docs, TODO, more specific license

Revision 1.1  2003/07/26 12:05:23  qboosh
- new, with info patch
